Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056537 - Analytics throws NPE when processing message from misconfigured service
Summary: Analytics throws NPE when processing message from misconfigured service
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: FUTURE
Assignee: Gary Brown
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 11:59 UTC by Jiri Pechanec
Modified: 2018-03-29 21:55 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
RTGov analytics can thrown a null-pointer exception when processing a message from a misconfigured service. To avoid this, ensure that transformers are correctly configured on your service.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Reproducer (deleted)
2014-01-22 12:02 UTC, Jiri Pechanec
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-557 Major Resolved NPE in service definition build when interface not available 2016-09-20 14:51:29 UTC

Description Jiri Pechanec 2014-01-22 11:59:21 UTC
See the reproducer

The application contains incorrectly configured transformers and throws

Caught exception of type org.switchyard.SwitchYardException with message: SWITCHYARD010813: Cannot convert from 'java.util.ArrayList' to 'org.switchyard.quickstarts.transform.smooks.Order'.  No registered Transformer available for transforming from 'java:java.util.ArrayList' to 'java:org.switchyard.quickstarts.transform.smooks.Order'.  A Transformer must be registered.: org.switchyard.SwitchYardException: SWITCHYARD010813: Cannot convert from 'java.util.ArrayList' to 'org.switchyard.quickstarts.transform.smooks.Order'.  No registered Transformer available for transforming from 'java:java.util.ArrayList' to 'java:org.switchyard.quickstarts.transform.smooks.Order'.  A Transformer must be registered.
	at org.switchyard.bus.camel.CamelMessage.getBody(CamelMessage.java:91) [switchyard-bus-camel-1.1.1-p4-redhat-1.jar:1.1.1-p4-redhat-1]
	at org.apache.camel.impl.MessageSupport.getBody(MessageSupport.java:47) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
	at org.switchyard.bus.camel.CamelMessage.getContent(CamelMessage.java:64) [switchyard-bus-camel-1.1.1-p4-redhat-1.jar:1.1.1-p4-redhat-1]
	at org.switchyard.component.bean.Invocation.castArg(Invocation.java:86) [switchyard-component-bean-1.1.1-p4-redhat-1.jar:1.1.1-p4-redhat-1]
	at org.switchyard.component.bean.Invocation.<init>(Invocation.java:53) [switchyard-component-bean-1.1.1-p4-redhat-1.jar:1.1.1-p4-redhat-1]


at the same time RTGov server throws a NPE
Caused by: java.lang.NullPointerException
	at org.overlord.rtgov.analytics.service.InterfaceDefinition.merge(InterfaceDefinition.java:142) [analytics-1.0.1.Final-redhat-3.jar:1.0.1.Final-redhat-3]
	at org.overlord.rtgov.analytics.service.ServiceDefinition.merge(ServiceDefinition.java:213) [analytics-1.0.1.Final-redhat-3.jar:1.0.1.Final-redhat-3]
	at org.overlord.rtgov.analytics.service.ServiceDefinition.merge(ServiceDefinition.java:180) [analytics-1.0.1.Final-redhat-3.jar:1.0.1.Final-redhat-3]
	... 92 more

Comment 2 Jiri Pechanec 2014-01-22 12:02:06 UTC
Created attachment 853841 [details]
Reproducer

Comment 3 Dennis 2014-07-31 10:15:47 UTC
Im getting the NPE in InterfaceDefinition.merge, in a projekt where i do not have any Transformers registered. There seem to be a more general problem in RTGov.

12:10:41,948 SEVERE [org.overlord.rtgov.internal.epn.jee.EPNNotificationServer] (Thread-35 (HornetQ-client-global-threads-25292353)) Failed to handle notification message: java.lang.RuntimeException: cannot invoke method: merge
	at org.mvel2.optimizers.impl.refl.nodes.MethodAccessor.getValue(MethodAccessor.java:63) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.optimizers.impl.refl.nodes.VariableAccessor.getValue(VariableAccessor.java:37) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.optimizers.dynamic.DynamicGetAccessor.getValue(DynamicGetAccessor.java:73) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.ast.ASTNode.getReducedValueAccelerated(ASTNode.java:108) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.MVELRuntime.execute(MVELRuntime.java:86) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getDirectValue(CompiledExpression.java:123) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getValue(CompiledExpression.java:119) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getValue(CompiledExpression.java:106) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.ast.IfNode.getReducedValueAccelerated(IfNode.java:80) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.MVELRuntime.execute(MVELRuntime.java:86) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getDirectValue(CompiledExpression.java:123) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getValue(CompiledExpression.java:119) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.MVEL.executeExpression(MVEL.java:969) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.overlord.rtgov.active.collection.ActiveCollectionSource.maintainEntry(ActiveCollectionSource.java:730) [active-collection-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.active.collection.epn.EPNActiveCollectionSource.processNotification(EPNActiveCollectionSource.java:200) [acs-epn-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.active.collection.epn.EPNActiveCollectionSource$EPNACSNotificationListener.handleEvents(EPNActiveCollectionSource.java:226) [acs-epn-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.epn.ContextualNotificationListener.notify(ContextualNotificationListener.java:42) [epn-core-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.epn.AbstractEPNManager.dispatchNotificationToListeners(AbstractEPNManager.java:517) [epn-core-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.internal.epn.jee.JEEEPNManagerImpl.handleNotificationsMessage(JEEEPNManagerImpl.java:277) [epn-container-jee-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.internal.epn.jee.EPNNotificationServer.onMessage(EPNNotificationServer.java:89) [epn-container-jee-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at sun.reflect.GeneratedMethodAccessor211.invoke(Unknown Source) [:1.6.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [classes.jar:1.6.0_65]
	at java.lang.reflect.Method.invoke(Method.java:597) [classes.jar:1.6.0_65]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:129) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:137) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:94) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.pool.PooledInstanceInterceptor.processInvocation(PooledInstanceInterceptor.java:51) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInCallerTx(CMTTxInterceptor.java:226) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.required(CMTTxInterceptor.java:317) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:214) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.AdditionalSetupInterceptor.processInvocation(AdditionalSetupInterceptor.java:55) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.messagedriven.MessageDrivenComponentDescription$5$1.processInvocation(MessageDrivenComponentDescription.java:196) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:165) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:182) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:72) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at javax.jms.MessageListener$$$view6.onMessage(Unknown Source) [jboss-jms-api_1.1_spec-1.0.1.Final-redhat-2.jar:1.0.1.Final-redhat-2]
	at sun.reflect.GeneratedMethodAccessor185.invoke(Unknown Source) [:1.6.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [classes.jar:1.6.0_65]
	at java.lang.reflect.Method.invoke(Method.java:597) [classes.jar:1.6.0_65]
	at org.jboss.as.ejb3.inflow.MessageEndpointInvocationHandler.doInvoke(MessageEndpointInvocationHandler.java:140) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.inflow.AbstractInvocationHandler.invoke(AbstractInvocationHandler.java:73) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at com.sun.proxy.$Proxy153.onMessage(Unknown Source)
	at org.hornetq.ra.inflow.HornetQMessageHandler.onMessage(HornetQMessageHandler.java:319)
	at org.hornetq.core.client.impl.ClientConsumerImpl.callOnMessage(ClientConsumerImpl.java:1114)
	at org.hornetq.core.client.impl.ClientConsumerImpl.access$500(ClientConsumerImpl.java:57)
	at org.hornetq.core.client.impl.ClientConsumerImpl$Runner.run(ClientConsumerImpl.java:1249)
	at org.hornetq.utils.OrderedExecutorFactory$OrderedExecutor$1.run(OrderedExecutorFactory.java:106)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895) [classes.jar:1.6.0_65]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918) [classes.jar:1.6.0_65]
	at java.lang.Thread.run(Thread.java:695) [classes.jar:1.6.0_65]
Caused by: java.lang.reflect.InvocationTargetException
	at sun.reflect.GeneratedMethodAccessor209.invoke(Unknown Source) [:1.6.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [classes.jar:1.6.0_65]
	at java.lang.reflect.Method.invoke(Method.java:597) [classes.jar:1.6.0_65]
	at org.mvel2.optimizers.impl.refl.nodes.MethodAccessor.getValue(MethodAccessor.java:48) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	... 85 more
Caused by: java.lang.NullPointerException
	at org.overlord.rtgov.analytics.service.MEPDefinition.getInvocation(MEPDefinition.java:154) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.analytics.service.MEPDefinition.merge(MEPDefinition.java:211) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.analytics.service.OperationDefinition.merge(OperationDefinition.java:167) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.analytics.service.InterfaceDefinition.merge(InterfaceDefinition.java:162) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.analytics.service.ServiceDefinition.merge(ServiceDefinition.java:213) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.analytics.service.ServiceDefinition.merge(ServiceDefinition.java:180) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	... 89 more

Comment 4 Dennis 2014-07-31 10:29:58 UTC
... And here is another example, where getInterface() of InterfaceDefinition is null, which results in an NPE:

12:25:18,373 SEVERE [org.overlord.rtgov.internal.epn.jee.EPNNotificationServer] (Thread-52 (HornetQ-client-global-threads-25292353)) Failed to handle notification message: java.lang.RuntimeException: cannot invoke method: merge
	at org.mvel2.optimizers.impl.refl.nodes.MethodAccessor.getValue(MethodAccessor.java:63) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.optimizers.impl.refl.nodes.VariableAccessor.getValue(VariableAccessor.java:37) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.optimizers.dynamic.DynamicGetAccessor.getValue(DynamicGetAccessor.java:73) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.ast.ASTNode.getReducedValueAccelerated(ASTNode.java:108) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.MVELRuntime.execute(MVELRuntime.java:86) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getDirectValue(CompiledExpression.java:123) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getValue(CompiledExpression.java:119) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getValue(CompiledExpression.java:106) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.ast.IfNode.getReducedValueAccelerated(IfNode.java:74) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.MVELRuntime.execute(MVELRuntime.java:86) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getDirectValue(CompiledExpression.java:123) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.compiler.CompiledExpression.getValue(CompiledExpression.java:119) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.mvel2.MVEL.executeExpression(MVEL.java:969) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	at org.overlord.rtgov.active.collection.ActiveCollectionSource.maintainEntry(ActiveCollectionSource.java:730) [active-collection-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.active.collection.epn.EPNActiveCollectionSource.processNotification(EPNActiveCollectionSource.java:200) [acs-epn-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.active.collection.epn.EPNActiveCollectionSource$EPNACSNotificationListener.handleEvents(EPNActiveCollectionSource.java:226) [acs-epn-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.epn.ContextualNotificationListener.notify(ContextualNotificationListener.java:42) [epn-core-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.epn.AbstractEPNManager.dispatchNotificationToListeners(AbstractEPNManager.java:517) [epn-core-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.internal.epn.jee.JEEEPNManagerImpl.handleNotificationsMessage(JEEEPNManagerImpl.java:277) [epn-container-jee-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.internal.epn.jee.EPNNotificationServer.onMessage(EPNNotificationServer.java:89) [epn-container-jee-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at sun.reflect.GeneratedMethodAccessor211.invoke(Unknown Source) [:1.6.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [classes.jar:1.6.0_65]
	at java.lang.reflect.Method.invoke(Method.java:597) [classes.jar:1.6.0_65]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:129) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:137) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.WeavedInterceptor.processInvocation(WeavedInterceptor.java:53) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:58) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.weld.ejb.EjbRequestScopeActivationInterceptor.processInvocation(EjbRequestScopeActivationInterceptor.java:94) [jboss-as-weld-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InitialInterceptor.processInvocation(InitialInterceptor.java:21) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.interceptors.ComponentDispatcherInterceptor.processInvocation(ComponentDispatcherInterceptor.java:53) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.pool.PooledInstanceInterceptor.processInvocation(PooledInstanceInterceptor.java:51) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInCallerTx(CMTTxInterceptor.java:226) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.required(CMTTxInterceptor.java:317) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:214) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.ShutDownInterceptorFactory$1.processInvocation(ShutDownInterceptorFactory.java:64) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.LoggingInterceptor.processInvocation(LoggingInterceptor.java:59) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.NamespaceContextInterceptor.processInvocation(NamespaceContextInterceptor.java:50) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.interceptors.AdditionalSetupInterceptor.processInvocation(AdditionalSetupInterceptor.java:55) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ejb3.component.messagedriven.MessageDrivenComponentDescription$5$1.processInvocation(MessageDrivenComponentDescription.java:196) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.TCCLInterceptor.processInvocation(TCCLInterceptor.java:45) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.ViewService$View.invoke(ViewService.java:165) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ee.component.ViewDescription$1.processInvocation(ViewDescription.java:182) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.invocation.ChainedInterceptor.processInvocation(ChainedInterceptor.java:61) [jboss-invocation-1.1.2.Final-redhat-1.jar:1.1.2.Final-redhat-1]
	at org.jboss.as.ee.component.ProxyInvocationHandler.invoke(ProxyInvocationHandler.java:72) [jboss-as-ee-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at javax.jms.MessageListener$$$view6.onMessage(Unknown Source) [jboss-jms-api_1.1_spec-1.0.1.Final-redhat-2.jar:1.0.1.Final-redhat-2]
	at sun.reflect.GeneratedMethodAccessor185.invoke(Unknown Source) [:1.6.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [classes.jar:1.6.0_65]
	at java.lang.reflect.Method.invoke(Method.java:597) [classes.jar:1.6.0_65]
	at org.jboss.as.ejb3.inflow.MessageEndpointInvocationHandler.doInvoke(MessageEndpointInvocationHandler.java:140) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.ejb3.inflow.AbstractInvocationHandler.invoke(AbstractInvocationHandler.java:73) [jboss-as-ejb3-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at com.sun.proxy.$Proxy153.onMessage(Unknown Source)
	at org.hornetq.ra.inflow.HornetQMessageHandler.onMessage(HornetQMessageHandler.java:319)
	at org.hornetq.core.client.impl.ClientConsumerImpl.callOnMessage(ClientConsumerImpl.java:1114)
	at org.hornetq.core.client.impl.ClientConsumerImpl.access$500(ClientConsumerImpl.java:57)
	at org.hornetq.core.client.impl.ClientConsumerImpl$Runner.run(ClientConsumerImpl.java:1249)
	at org.hornetq.utils.OrderedExecutorFactory$OrderedExecutor$1.run(OrderedExecutorFactory.java:106)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895) [classes.jar:1.6.0_65]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918) [classes.jar:1.6.0_65]
	at java.lang.Thread.run(Thread.java:695) [classes.jar:1.6.0_65]
Caused by: java.lang.reflect.InvocationTargetException
	at sun.reflect.GeneratedMethodAccessor209.invoke(Unknown Source) [:1.6.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [classes.jar:1.6.0_65]
	at java.lang.reflect.Method.invoke(Method.java:597) [classes.jar:1.6.0_65]
	at org.mvel2.optimizers.impl.refl.nodes.MethodAccessor.getValue(MethodAccessor.java:48) [mvel2-2.1.7.Final-redhat-4.jar:2.1.7.Final-redhat-4]
	... 85 more
Caused by: java.lang.NullPointerException
	at org.overlord.rtgov.analytics.service.InterfaceDefinition.merge(InterfaceDefinition.java:142) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.analytics.service.ServiceDefinition.merge(ServiceDefinition.java:213) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	at org.overlord.rtgov.analytics.service.ServiceDefinition.merge(ServiceDefinition.java:180) [analytics-1.0.1.Final-redhat-4.jar:1.0.1.Final-redhat-4]
	... 89 more

Comment 5 Gary Brown 2014-07-31 10:59:28 UTC
Hi Dennis

Although we need to protect against the null pointer exception - I would like to find out why the interface details were missing.

Could you provide some information about the services that were having their activity recorded? Are they switchyard services, if so what type (e.g. bean, etc.).

Comment 6 Dennis 2014-07-31 11:06:04 UTC
The problem in both of my reported errors, seem to be because i use interface.esb types in some of my services. The error disappeared when i changed them to interface.java instead.

Should i file a separate bug-report?

Comment 7 Dennis 2014-07-31 11:14:16 UTC
Hi Gary

There was a "comment collision", but please see comment no. 6.

Regards
Dennis

(In reply to Gary Brown from comment #5)
> Hi Dennis
> 
> Although we need to protect against the null pointer exception - I would
> like to find out why the interface details were missing.
> 
> Could you provide some information about the services that were having their
> activity recorded? Are they switchyard services, if so what type (e.g. bean,
> etc.).

Comment 8 Gary Brown 2014-07-31 11:18:31 UTC
Thanks Dennis - we'll investigate under this single BZ for now.

Comment 9 Dennis 2014-07-31 11:19:09 UTC
Great! Thanks...

Comment 10 JBoss JIRA Server 2014-08-14 15:43:09 UTC
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-557 to Resolved

Comment 11 Gary Brown 2014-08-14 16:31:33 UTC
Fixed in community (RTGOV-557) and FSW6.0 product branch.


Note You need to log in before you can comment on or make changes to this bug.